# Class ParallelEnvironment

java.lang.Object
com.sun.grid.jsv.ParallelEnvironment

All Implemented Interfaces:
  `Serializable, Cloneable`

public final class ParallelEnvironment extends Object implements Cloneable, Serializable
The ParallelEnvironment object represents the parallel environment settings for a job. It contains the name of the parallel environment to be used and the minimum and maximum number of parallel processes to be started. The minimum and maximum number of processes are set to 1 by default.

Since:
  6.2u5
See Also:
  - `JobDescription.getParallelEnvironment()`
  - `JobDescription.setParallelEnvironment(com.sun.grid.jsv.ParallelEnvironment)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParallelEnvironment()`

## Method Summary

Modifier and Type
Method
Description
`ParallelEnvironment`
`clone()`
`boolean`
`equals(Object obj)`
`String`
`getName()`
Get the name of the parallel environment to be used
`int`
`getRangeMax()`
Get the maximum number of parallel processes to be started for this job.
`int`
`getRangeMin()`
Get the minimum number of parallel processes to be started for this job.
`int`
`hashCode()`
`void`
`setName(String name)`
Set the name of the parallel environment to be used
`void`
`setRange(int val)`
Set the minimum and maximum number of parallel processes to be started for this job to the same value, i.e.
`void`
`setRange(int min, int max)`
Set the minimum and maximum number of parallel processes to be started for this job.
`void`
`setRangeMax(int max)`
Set the maximum number of parallel processes to be started for this job.
`void`
`setRangeMin(int min)`
Set the minimum number of parallel processes to be started for this job.
`String`
`toString()`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParallelEnvironment

public ParallelEnvironment()

## Method Details

### setName

public void setName(String name)
Set the name of the parallel environment to be used

Parameters:
  `name` - the PE name

### getName

public String getName()
Get the name of the parallel environment to be used

Returns:
  the PE name

### getRangeMin

public int getRangeMin()
Get the minimum number of parallel processes to be started for this job.

Returns:
  the minimum number of processes

### getRangeMax

public int getRangeMax()
Get the maximum number of parallel processes to be started for this job.

Returns:
  the maximum number of processes

### setRange

public void setRange(int min, int max)
Set the minimum and maximum number of parallel processes to be started for this job.

Parameters:
  `min` - the minimum number of processes
  `max` - the maximum number of processes

### setRange

public void setRange(int val)
Set the minimum and maximum number of parallel processes to be started for this job to the same value, i.e. a range of 1.

Parameters:
  `val` - the minimum and maximum number of processes

### setRangeMin

public void setRangeMin(int min)
Set the minimum number of parallel processes to be started for this job.

Parameters:
  `min` - the minimum number of processes

### setRangeMax

public void setRangeMax(int max)
Set the maximum number of parallel processes to be started for this job.

Parameters:
  `max` - the maximum number of processes

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### clone

public ParallelEnvironment clone()

Overrides:
  `clone` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`